package com.benyanyi.loglib;

import ohos.hiviewdfx.HiLog;
import ohos.hiviewdfx.HiLogLabel;

/**
 * @author myLove
 * @time 2017/10/31 10:41
 * @e-mail mylove.520.y@gmail.com
 * @overview
 */

class BaseLog {

    private static final int MAX_LENGTH = 4000;

    static void printDefault(int type, String tag, String msg) {

        int index = 0;
        int length = msg.length();
        int countOfSub = length / MAX_LENGTH;

        if (countOfSub > 0) {
            for (int i = 0; i < countOfSub; i++) {
                String sub = msg.substring(index, index + MAX_LENGTH);
                printSub(type, tag, sub);
                index += MAX_LENGTH;
            }
            printSub(type, tag, msg.substring(index, length));
        } else {
            printSub(type, tag, msg);
        }
    }

    private static void printSub(int type, String tag, String sub) {
        switch (type) {
            case Jlog.D:
                HiLog.debug(new HiLogLabel(HiLog.LOG_APP, 0x100, tag), sub);
                break;
            case Jlog.I:
                HiLog.info(new HiLogLabel(HiLog.LOG_APP, 0x100, tag), sub);
                break;
            case Jlog.W:
                HiLog.warn(new HiLogLabel(HiLog.LOG_APP, 0x100, tag), sub);
                break;
            case Jlog.E:
                HiLog.error(new HiLogLabel(HiLog.LOG_APP, 0x100, tag), sub);
                break;
            case Jlog.F:
                HiLog.fatal(new HiLogLabel(HiLog.LOG_APP, 0x100, tag), sub);
                break;
            default:
                HiLog.info(new HiLogLabel(HiLog.LOG_APP, 0x100, tag), sub);
                break;
        }
    }
}
